Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.xml
Class JRMeterPlotFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRBaseFactory
          net.sf.jasperreports.charts.xml.JRMeterPlotFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

    public class JRMeterPlotFactory

extends JRBaseFactory

Version:
  $Id: JRMeterPlotFactory.java 3565 2010-03-10 11:41:24Z shertage $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ATTRIBUTE_angle`
`static java.lang.String` | `ATTRIBUTE_meterColor`
`static java.lang.String` | `ATTRIBUTE_needleColor`
`static java.lang.String` | `ATTRIBUTE_shape`
`static java.lang.String` | `ATTRIBUTE_tickColor`
`static java.lang.String` | `ATTRIBUTE_tickInterval`
`static java.lang.String` | `ATTRIBUTE_units`
`static java.lang.String` | `ELEMENT_meterPlot`

Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`digester`

Constructor Summary
`JRMeterPlotFactory()`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`

Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_meterPlot

    public static final java.lang.String ELEMENT_meterPlot

See Also:
  Constant Field Values

### ATTRIBUTE_shape

    public static final java.lang.String ATTRIBUTE_shape

See Also:
  Constant Field Values

### ATTRIBUTE_angle

    public static final java.lang.String ATTRIBUTE_angle

See Also:
  Constant Field Values

### ATTRIBUTE_units

    public static final java.lang.String ATTRIBUTE_units

See Also:
  Constant Field Values

### ATTRIBUTE_tickInterval

    public static final java.lang.String ATTRIBUTE_tickInterval

See Also:
  Constant Field Values

### ATTRIBUTE_meterColor

    public static final java.lang.String ATTRIBUTE_meterColor

See Also:
  Constant Field Values

### ATTRIBUTE_needleColor

    public static final java.lang.String ATTRIBUTE_needleColor

See Also:
  Constant Field Values

### ATTRIBUTE_tickColor

    public static final java.lang.String ATTRIBUTE_tickColor

See Also:
  Constant Field Values

Constructor Detail

### JRMeterPlotFactory

    public JRMeterPlotFactory()

Method Detail

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes atts)
                                  throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com